apiVersion: batch/v1
kind: CronJob
metadata:
  name: historical-importer-ad-cleanup-cronjob
spec:
  schedule: "0 4 * * *"
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 3
  successfulJobsHistoryLimit: 3
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: Never
          serviceAccount: pipeline
          containers:
            - name: historical-importer-kubectl
              image: image-registry.openshift-image-registry.svc:5000/openshift/cli:latest
              securityContext:
                allowPrivilegeEscalation: false
              command:
                - /bin/bash
                - -c
                - |
                  kubectl create -f - << EOF
                  apiVersion: tekton.dev/v1beta1
                  kind: PipelineRun
                  metadata:
                    generateName: historical-importer-ad-cleanup-pipelinerun-
                  spec:
                    serviceAccountName: pipeline
                    pipelineRef:
                      name: historical-importer-ad-cleanup-pipeline
                    timeout: 1h0m0s
                  EOF
